﻿@{
    ViewData["Title"] = "PPDB Kelas";
}
    <section class="section">
        <div class="section-header">
            <h1>PPDB Kelas</h1>
            <div class="section-header-breadcrumb">
                <div class="breadcrumb-item"><a href="#">Dashboard</a></div>
                <div class="breadcrumb-item"><a href="#">Ppdb</a></div>
                <div class="breadcrumb-item active"><a href="#">Kelas</a></div>
            </div>
        </div>

        <div class="section-body" id="no-data">
            <div id="loading-data" style="text-align:center;">
                <div style="margin-top:150px;">
                    <i class="fa fa-spinner fa-spin fa-4x"></i>
                </div>
            </div>
            <div id="empty-data" style="text-align:center;display:none;">
                <img src="~/assets/img/ilus-data.png" width="400px" class="img-fluid" />
                <div style="margin-top:-1px">
                    Ups! Sepertinya tidak ada data, silahkan tambah baru <br /><br />
                    <button type="button" class="btn btn-primary btn-flat" onclick="DataEditor();"><i class="fa fa-plus"></i> Tambah Baru</button>
                </div>
            </div>
        </div>
        <div class="section-body" id="data" style="display:none;">
            <div class="collapse" id="collapseExample">
                <div class="card card-body">
                    <form class="form-inline" id="FormFilter">
                        <label class="sr-only" for="inlineFormInputName2">Berdasarkan</label>
                        <select class="form-control mb-2 mr-sm-2" id="IdUnit" name="IdUnit">
                        </select>
                        <label class="sr-only" for="inlineFormInputName2">Berdasarkan</label>
                        <select class="form-control mb-2 mr-sm-2" id="IdKelas" name="IdKelas">
                             <option value="">- Pilih salah satu -</option>
                        </select>

                        <label class="sr-only" for="inlineFormInputGroupUsername2"></label>
                        <div class="input-group mb-2 mr-sm-2" id="BtnSubmitPencarian">
                            <a href="#" class="btn btn-primary btn-block tester" onclick="SearchUnit();" type="button"><i class="fa fa-search"></i>&nbsp; Mulai Pencarian</a>
                        </div>
                    </form>
                </div>
            </div>

            <div class="card" id="ListData">
                <div class="card-header form-row">
                    <h4 class="col-md-6">List Data</h4>
                    <div class="col-md-6 text-right">
                        <button type="button" class="btn btn-primary btn-flat" data-toggle="collapse" data-target="#collapseExample" aria-expanded="false" aria-controls="collapseExample"><i class="fa fa-filter"></i> Filter</button>&nbsp;
                        <button type="button" class="btn btn-success btn-flat" onclick="DataEditor();"><i class="fa fa-plus"></i> Tambah Data</button>
                    </div>
                </div>
                <div class="card-body">
                    <div class="table-responsive">
                        <table id="TabelData" class="table table-striped table-bordered table-hover nowrap" style="width:100%;">
                            <thead>
                                <tr>
                                    <th>Aksi</th>
                                    <th>Unit</th>
                                    <th>Kelas</th>
                                    <th>Jenis Pendaftaran</th>
                                    <th>Jenis Gelombang</th>
                                    <th>Jalur Pendaftaran</th>
                                    <th>Tgl. Awal Daftar</th>
                                    <th>Tgl. Akhir Daftar</th>
                                </tr>
                            </thead>
                            <tfoot>
                                <tr>
                                    <th>Aksi</th>
                                    <th>Unit</th>
                                    <th>Kelas</th>
                                    <th>Jenis Pendaftaran</th>
                                    <th>Jenis Gelombang</th>
                                    <th>Jalur Pendaftaran</th>
                                    <th>Tgl. Awal Daftar</th>
                                    <th>Tgl. Akhir Daftar</th>
                                </tr>
                            </tfoot>
                        </table>
                    </div>
                </div>
            </div>

            <div class="col-md-10 card" id="EditorForm" style="display:none;margin:0px auto">
                <div class="card-header form-row">
                    <h4 class="col-md-12">Editor Form</h4>
                </div>
                <div class="card-body">
                    <form id="FormEditor" class="form-horizontal" action="#" enctype="multipart/form-data">
                        <input id="IdPpdbSyarat" name="IdPpdbSyarat" type="hidden" />
                        <div class="form-row">
                            <div class="col-md-6">
                                <div class="form-group form-row">
                                    <label class="col-form-label col-sm-3" style="text-align:left;">Unit:</label>
                                    <div class="col-sm-9">
                                        <select class="form-control" name="IdUnit" id="IdUnit">
                                            <option value="">- Pilih Salah Satu -</option>
                                        </select>
                                    </div>
                                </div>
                                <div class="form-group form-row">
                                    <label class="col-form-label col-sm-3" style="text-align:left;">Kelas:</label>
                                    <div class="col-sm-9">
                                        <select class="form-control" name="IdKelas" id="IdKelas">
                                            <option value="">- Pilih Salah Satu -</option>
                                        </select>
                                    </div>
                                </div>
                                <div class="form-group form-row" id="divIdKelasParalel" style="display:none">
                                    <label class="col-form-label col-sm-3" style="text-align:left;">Kelas Paralel:</label>
                                    <div class="col-sm-9">
                                        <select class="form-control" name="IdKelasParalel" id="IdKelasParalel">
                                            <option value="">- Pilih Salah Satu -</option>
                                        </select>
                                    </div>
                                </div>
                                <div class="form-group form-row">
                                    <label class="col-form-label col-sm-3" style="text-align:left;">Jenis Pendaftaran:</label>
                                    <div class="col-sm-9">
                                        <select class="form-control" name="IdJenisPendaftaran" id="IdJenisPendaftaran">
                                            <option value="">- Pilih Salah Satu -</option>
                                        </select>
                                    </div>
                                </div>
                                <div class="form-group form-row">
                                    <label class="col-form-label col-sm-3" style="text-align:left;">Jalur Pendaftaran:</label>
                                    <div class="col-sm-9">
                                        <select class="form-control" name="IdJalurPendaftaran" id="IdJalurPendaftaran">
                                            <option value="">- Pilih Salah Satu -</option>
                                        </select>
                                    </div>
                                </div>
                                <div class="form-group form-row">
                                    <label class="col-form-label col-sm-3" style="text-align:left;">Jenis Gelombang:</label>
                                    <div class="col-sm-9">
                                        <select class="form-control" name="IdJenisGelombangPpdb" id="IdJenisGelombangPpdb">
                                            <option value="">- Pilih Salah Satu -</option>
                                        </select>
                                    </div>
                                </div>
                                <div class="form-group form-row">
                                    <label class="col-form-label col-sm-3" style="text-align:left;">Tgl. Awal Daftar:</label>
                                    <div class="col-sm-9">
                                        <input type="text" class="form-control" name="TanggalAwalDaftar" data-toggle="datepicker" placeholder="dd-mm-yyyy" readonly />
                                    </div>
                                </div>
                                <div class="form-group form-row">
                                    <label class="col-form-label col-sm-3" style="text-align:left;">Tgl. Akhir Daftar:</label>
                                    <div class="col-sm-9">
                                        <input type="text" class="form-control" name="TanggalAkhirDaftar" data-toggle="datepicker" placeholder="dd-mm-yyyy" readonly />
                                    </div>
                                </div>
                                <div class="form-group form-row">
                                    <label class="col-form-label col-sm-3" style="text-align:left;">Tgl. Awal Bayar Daftar:</label>
                                    <div class="col-sm-9">
                                        <input type="text" class="form-control" name="TanggalAwalBayarDaftar" data-toggle="datepicker" placeholder="dd-mm-yyyy" readonly />
                                    </div>
                                </div>
                                <div class="form-group form-row">
                                    <label class="col-form-label col-sm-3" style="text-align:left;">Tgl. Akhir Bayar Daftar:</label>
                                    <div class="col-sm-9">
                                        <input type="text" class="form-control" name="TanggalAkhirBayarDaftar" data-toggle="datepicker" placeholder="dd-mm-yyyy" readonly />
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group form-row">
                                    <label class="col-form-label col-sm-3" style="text-align:left;">Tgl. Awal Observasi:</label>
                                    <div class="col-sm-9">
                                        <input type="text" class="form-control" name="TanggalAwalObservasi" data-toggle="datepicker" placeholder="dd-mm-yyyy" readonly />
                                    </div>
                                </div>
                                <div class="form-group form-row">
                                    <label class="col-form-label col-sm-3" style="text-align:left;">Tgl. Akhir Observasi:</label>
                                    <div class="col-sm-9">
                                        <input type="text" class="form-control" name="TanggalAkhirObservasi" data-toggle="datepicker" placeholder="dd-mm-yyyy" readonly />
                                    </div>
                                </div>
                                <div class="form-group form-row">
                                    <label class="col-form-label col-sm-3" style="text-align:left;">Tgl. Awal Bayar Pendidikan:</label>
                                    <div class="col-sm-9">
                                        <input type="text" class="form-control" name="TanggalAwalBayarPendidikan" data-toggle="datepicker" placeholder="dd-mm-yyyy" readonly />
                                    </div>
                                </div>
                                <div class="form-group form-row">
                                    <label class="col-form-label col-sm-3" style="text-align:left;">Tgl. Akhir Bayar Pendidikan:</label>
                                    <div class="col-sm-9">
                                        <input type="text" class="form-control" name="TanggalAkhirBayarPendidikan" data-toggle="datepicker" placeholder="dd-mm-yyyy" readonly />
                                    </div>
                                </div>
                                <div class="form-group form-row">
                                    <label class="col-form-label col-sm-3" style="text-align:left;">Max. Tanggal Lahir:</label>
                                    <div class="col-sm-9">
                                        <input type="text" class="form-control" name="MaxTanggalLahir" data-toggle="datepicker" placeholder="dd-mm-yyyy" readonly />
                                    </div>
                                </div>
                                <div class="form-group form-row">
                                    <label class="col-form-label col-sm-3" style="text-align:left;">Kuota Daftar Perempuan:</label>
                                    <div class="col-sm-9">
                                        <input type="number" class="form-control" name="KuotaDaftarP" />
                                    </div>
                                </div>
                                <div class="form-group form-row">
                                    <label class="col-form-label col-sm-3" style="text-align:left;">Kuota Daftar Laki-Laki:</label>
                                    <div class="col-sm-9">
                                        <input type="number" class="form-control" name="KuotaDaftarL" />
                                    </div>
                                </div>
                                <div class="form-group form-row">
                                    <label class="col-form-label col-sm-3" style="text-align:left;">Kuota Terima Perempuan:</label>
                                    <div class="col-sm-9">
                                        <input type="number" class="form-control" name="KuotaTerimaP" />
                                    </div>
                                </div>
                                <div class="form-group form-row">
                                    <label class="col-form-label col-sm-3" style="text-align:left;">Kuota Terima Laki-Laki:</label>
                                    <div class="col-sm-9">
                                        <input type="number" class="form-control" name="KuotaTerimaL" />
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="form-group">
                            <div class="form-row">
                                <div class="col-sm-6"><button type="button" onclick="Kembali();" class="btn btn-danger btn-block"><i class="fa fa-repeat"></i> Kembali</button></div>
                                <div class="col-sm-6"><button type="button" id="BtnSaveData" onclick="DataSave();" class="btn btn-success btn-block"><i class="fa fa-save"></i> Simpan Data</button></div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </section>